Subject: bug#38384: (next|previous)-buffer silent about not switching

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Nov 2019 21:37:02 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Tue, 26 Nov 2019 19:51:50 +0100
> Cc: [email-masked]
> 
> > I don't see how this is relevant to the issue at hand, what did I
> > miss?
> 
> Sorry, I fail to see how could it not be relevant. Lisp code calling (next|previous)-buffer already has to defend
> itself against a user-error. My code just adds one specific case (that of the window's buffer list having only one
> buffer) in which user-error is also signaled. Am I missing something?

We previously signaled user-error in situations where we couldn't
continue at all.  Your addition is in a situation where nothing
particularly bad happened, so from the POV of a caller, we are now
signaling a user-error gratuitously.  I'm bothered only by the change
whereby we signal a user-error with the purpose of attracting the
user's attention, not because we cannot continue.